import { r as registerInstance, h } from './index-b13326fc.js';
var ElementImageEditor = /** @class */ (function () {
    function ElementImageEditor(hostRef) {
        registerInstance(this, hostRef);
    }
    ElementImageEditor.prototype.prop = function (path, options) {
        if (options === void 0) { options = {}; }
        return this.handler.prop(path, Object.assign({}, options));
    };
    ElementImageEditor.prototype.render = function () {
        return [
            h("bce-upload", Object.assign({ accept: "image/*" }, this.prop('location'))),
            h("slot", null)
        ];
    };
    return ElementImageEditor;
}());
export { ElementImageEditor as bce_element_image_editor };
